#undef __NO_VERSION__
#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#ifdef MODULE
   #if defined(CONFIG_MODVERSIONS) && !defined(MODVERSIONS)
      #define MODVERSIONS
   #endif

   #ifdef MODVERSIONS
      #include <config/modversions.h>
   #endif

   #include <linux/module.h>
#endif

#include "nikal.h"

#ifdef MODULE_LICENSE
   #ifdef nNIKAL100_kCopyrightString
      MODULE_LICENSE(nNIKAL100_kCopyrightString);
   #endif
#endif

#ifdef MODULE_AUTHOR
   #ifdef nNIKAL100_kAuthorString
      MODULE_AUTHOR(nNIKAL100_kAuthorString);
   #endif
#endif

#ifdef MODULE_DESCRIPTION
   #ifdef nNIKAL100_kDescriptionString
      MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
   #endif
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
/* _ZN9nNIORB10017tDataBlockStorage17retrieveDataBlockERKNS_5tGUIDERi=_e2132524974cc9f454fc5809f682a274 */
extern int _e2132524974cc9f454fc5809f682a274;
nNIKAL100_mExportSymbol(_e2132524974cc9f454fc5809f682a274);
/* _ZN9nNIORB10017tDataBlockStorage14storeDataBlockERKN4_STL6vectorIhNS1_9allocatorIhEEEERi=_cef53e174137c3093f1762e4ff3a3aa1 */
extern int _cef53e174137c3093f1762e4ff3a3aa1;
nNIKAL100_mExportSymbol(_cef53e174137c3093f1762e4ff3a3aa1);
extern int _ZN9nNIORB10017tDataBlockStorageD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tDataBlockStorageD1Ev);
extern int _ZN9nNIORB10017tDataBlockStorageD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tDataBlockStorageD2Ev);
extern int _ZN9nNIORB10017tDataBlockStorage14getInstanceRefERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tDataBlockStorage14getInstanceRefERi);
extern int _ZN9nNIORB10010iCloneable14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneable14staticGetClassERi);
extern int _ZN9nNIORB10010iCloneableD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneableD2Ev);
extern int _ZN9nNIORB10010iCloneableD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneableD1Ev);
extern int _ZN9nNIORB10010iCloneableD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneableD0Ev);
extern int _ZN9nNIORB10010iCloneable13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneable13___CPPKRLCastEPS0_PKPv);
extern int _ZN9nNIORB10010iCloneable20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneable20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIORB10010iCloneable13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneable13___CPPKRLCastEPKS0_PKPv);
extern int _ZNK9nNIORB10010iCloneable20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK9nNIORB10010iCloneable20___CPPKRLDynamicCastEPKPv);
/* _ZN9nNIORB10024iCloneableExternalizable14staticGetClassERi=_24afd73d06d6573c3434dd6c25787438 */
extern int _24afd73d06d6573c3434dd6c25787438;
nNIKAL100_mExportSymbol(_24afd73d06d6573c3434dd6c25787438);
extern int _ZN9nNIORB10024iCloneableExternalizableD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10024iCloneableExternalizableD2Ev);
extern int _ZN9nNIORB10024iCloneableExternalizableD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10024iCloneableExternalizableD1Ev);
extern int _ZN9nNIORB10024iCloneableExternalizableD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10024iCloneableExternalizableD0Ev);
/* _ZN9nNIORB10024iCloneableExternalizable13___CPPKRLCastEPS0_PKPv=_64fc0996c1592f383418d7c16a627f97 */
extern int _64fc0996c1592f383418d7c16a627f97;
nNIKAL100_mExportSymbol(_64fc0996c1592f383418d7c16a627f97);
/* _ZN9nNIORB10024iCloneableExternalizable20___CPPKRLDynamicCastEPKPv=_3d214fbce835aeeedadcc2f402bcc379 */
extern int _3d214fbce835aeeedadcc2f402bcc379;
nNIKAL100_mExportSymbol(_3d214fbce835aeeedadcc2f402bcc379);
/* _ZN9nNIORB10024iCloneableExternalizable13___CPPKRLCastEPKS0_PKPv=_38c0d2de19f7da0126b40865d1db2118 */
extern int _38c0d2de19f7da0126b40865d1db2118;
nNIKAL100_mExportSymbol(_38c0d2de19f7da0126b40865d1db2118);
/* _ZNK9nNIORB10024iCloneableExternalizable20___CPPKRLDynamicCastEPKPv=_7bf57b28c8d1d37d08a89f605ea61cb3 */
extern int _7bf57b28c8d1d37d08a89f605ea61cb3;
nNIKAL100_mExportSymbol(_7bf57b28c8d1d37d08a89f605ea61cb3);
extern int _ZN9nNIORB10011iComparable14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparable14staticGetClassERi);
extern int _ZN9nNIORB10011iComparableD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparableD2Ev);
extern int _ZN9nNIORB10011iComparableD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparableD1Ev);
extern int _ZN9nNIORB10011iComparableD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparableD0Ev);
extern int _ZN9nNIORB10011iComparable13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparable13___CPPKRLCastEPS0_PKPv);
extern int _ZN9nNIORB10011iComparable20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparable20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIORB10011iComparable13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparable13___CPPKRLCastEPKS0_PKPv);
extern int _ZNK9nNIORB10011iComparable20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK9nNIORB10011iComparable20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIORB10011iDataReaderD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iDataReaderD2Ev);
extern int _ZN9nNIORB10011iDataReaderD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iDataReaderD1Ev);
extern int _ZN9nNIORB10011iDataReaderD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iDataReaderD0Ev);
extern int _ZN9nNIORB10011iDataWriterD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iDataWriterD2Ev);
extern int _ZN9nNIORB10011iDataWriterD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iDataWriterD1Ev);
extern int _ZN9nNIORB10011iDataWriterD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iDataWriterD0Ev);
extern int _ZN9nNIORB10015iExternalizable14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10015iExternalizable14staticGetClassERi);
extern int _ZN9nNIORB10015iExternalizableD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10015iExternalizableD2Ev);
extern int _ZN9nNIORB10015iExternalizableD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10015iExternalizableD1Ev);
extern int _ZN9nNIORB10015iExternalizableD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10015iExternalizableD0Ev);
extern int _ZN9nNIORB10015iExternalizable13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10015iExternalizable13___CPPKRLCastEPS0_PKPv);
/* _ZN9nNIORB10015iExternalizable20___CPPKRLDynamicCastEPKPv=_f89edf41fd6bb2ce2abbce38cfe1c3e4 */
extern int _f89edf41fd6bb2ce2abbce38cfe1c3e4;
nNIKAL100_mExportSymbol(_f89edf41fd6bb2ce2abbce38cfe1c3e4);
extern int _ZN9nNIORB10015iExternalizable13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB10015iExternalizable13___CPPKRLCastEPKS0_PKPv);
/* _ZNK9nNIORB10015iExternalizable20___CPPKRLDynamicCastEPKPv=_0d8f84c609f5272ea92f2727d0acfe5b */
extern int _0d8f84c609f5272ea92f2727d0acfe5b;
nNIKAL100_mExportSymbol(_0d8f84c609f5272ea92f2727d0acfe5b);
extern int _ZN9nNIORB10013iObjectReaderD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013iObjectReaderD1Ev);
extern int _ZN9nNIORB10013iObjectReaderD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013iObjectReaderD2Ev);
extern int _ZN9nNIORB10013iObjectReaderD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013iObjectReaderD0Ev);
extern int _ZN9nNIORB10013iObjectWriterD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013iObjectWriterD1Ev);
extern int _ZN9nNIORB10013iObjectWriterD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013iObjectWriterD2Ev);
extern int _ZN9nNIORB10013iObjectWriterD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013iObjectWriterD0Ev);
extern int _ZN9nNIORB10016iPreReadObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10016iPreReadObserverD2Ev);
extern int _ZN9nNIORB10016iPreReadObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10016iPreReadObserverD1Ev);
extern int _ZN9nNIORB10016iPreReadObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10016iPreReadObserverD0Ev);
extern int _ZN9nNIORB10017iPreWriteObserverD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017iPreWriteObserverD2Ev);
extern int _ZN9nNIORB10017iPreWriteObserverD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017iPreWriteObserverD1Ev);
extern int _ZN9nNIORB10017iPreWriteObserverD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017iPreWriteObserverD0Ev);
extern int _ZN9nNIORB1006tClassaSERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIORB1006tClassaSERKS0_);
extern int _ZN9nNIORB1006tClass8_releaseEv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1006tClass8_releaseEv);
extern int _ZNK9nNIORB1006tClass14deleteInstanceEPNS_7tObjectERi;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1006tClass14deleteInstanceEPNS_7tObjectERi);
extern int _ZNK9nNIORB1006tClass7getNameERi;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1006tClass7getNameERi);
extern int _ZNK9nNIORB1006tClass11newInstanceERi;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1006tClass11newInstanceERi);
/* _ZN9nNIORB1006tClass7forNameERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi=_a491e202ede354b6a598c1c9e56c3aef */
extern int _a491e202ede354b6a598c1c9e56c3aef;
nNIKAL100_mExportSymbol(_a491e202ede354b6a598c1c9e56c3aef);
extern int _ZN9nNIORB10020tClassImplementationD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10020tClassImplementationD1Ev);
extern int _ZN9nNIORB10020tClassImplementationD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10020tClassImplementationD2Ev);
/* _ZN9nNIORB10020tClassImplementationC1ERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEPFPNS_7tObjectERiEPFvSB_SC_EPKPv=_fe673b777df224c076ed419ea7742536 */
extern int _fe673b777df224c076ed419ea7742536;
nNIKAL100_mExportSymbol(_fe673b777df224c076ed419ea7742536);
/* _ZN9nNIORB10020tClassImplementationC2ERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEPFPNS_7tObjectERiEPFvSB_SC_EPKPv=_aea807cd72c6aee1093e80845e2de572 */
extern int _aea807cd72c6aee1093e80845e2de572;
nNIKAL100_mExportSymbol(_aea807cd72c6aee1093e80845e2de572);
extern int _ZN9nNIORB1005tGUID16___ORBGetTObjectEv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUID16___ORBGetTObjectEv);
extern int _ZN9nNIORB1005tGUID14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUID14staticGetClassERi);
extern int _ZN9nNIORB1005tGUIDD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUIDD2Ev);
/* _ZNK9nNIORB1005tGUID13writeExternalERNS_13iObjectWriterERi=_becc65e99ada81c3dce989018a53f063 */
extern int _becc65e99ada81c3dce989018a53f063;
nNIKAL100_mExportSymbol(_becc65e99ada81c3dce989018a53f063);
/* _ZN9nNIORB1005tGUID12readExternalERNS_13iObjectReaderERi=_f63b23548144f0259dd52d1c16adbbe5 */
extern int _f63b23548144f0259dd52d1c16adbbe5;
nNIKAL100_mExportSymbol(_f63b23548144f0259dd52d1c16adbbe5);
/* _ZN9nNIORB1005tGUID10fromStringERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi=_00fa99ee8d16af7a925840b4efecbef2 */
extern int _00fa99ee8d16af7a925840b4efecbef2;
nNIKAL100_mExportSymbol(_00fa99ee8d16af7a925840b4efecbef2);
extern int _ZNK9nNIORB1005tGUID8toStringERi;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1005tGUID8toStringERi);
extern int _ZN9nNIORB1005tGUID9createNewEj;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUID9createNewEj);
extern int _ZN9nNIORB1005tGUIDD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUIDD1Ev);
extern int _ZN9nNIORB1005tGUIDD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUIDD0Ev);
extern int _ZNK9nNIORB1005tGUID8getClassERi;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1005tGUID8getClassERi);
extern int _ZN9nNIORB1005tGUID13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUID13___CPPKRLCastEPS0_PKPv);
extern int _ZN9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIORB1005tGUID13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUID13___CPPKRLCastEPKS0_PKPv);
extern int _ZNK9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIORB1008tLibrary7getNameEv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1008tLibrary7getNameEv);
extern int _ZN9nNIORB1008tLibrary6addRefEv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1008tLibrary6addRefEv);
extern int _ZN9nNIORB1008tLibrary7releaseEv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1008tLibrary7releaseEv);
extern int _ZN9nNIORB1008tLibrary11getRefCountEv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1008tLibrary11getRefCountEv);
extern int _ZN9nNIORB1008tLibraryD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1008tLibraryD1Ev);
extern int _ZN9nNIORB1008tLibraryD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1008tLibraryD2Ev);
/* _ZN9nNIORB1008tLibraryC1ERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEP4iLib=_105f15916079dca9ac8b45681324d13d */
extern int _105f15916079dca9ac8b45681324d13d;
nNIKAL100_mExportSymbol(_105f15916079dca9ac8b45681324d13d);
/* _ZN9nNIORB1008tLibraryC2ERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEP4iLib=_16e035642dbb2ce749f0c5802fbb1e44 */
extern int _16e035642dbb2ce749f0c5802fbb1e44;
nNIKAL100_mExportSymbol(_16e035642dbb2ce749f0c5802fbb1e44);
/* _ZN9nNIORB1008tLibraryC1ERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEES9_Ri=_6021889ed9b2243c726cc18f290b953d */
extern int _6021889ed9b2243c726cc18f290b953d;
nNIKAL100_mExportSymbol(_6021889ed9b2243c726cc18f290b953d);
/* _ZN9nNIORB1008tLibraryC2ERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEES9_Ri=_9016a5f37ddb62517a8161c79cfde945 */
extern int _9016a5f37ddb62517a8161c79cfde945;
nNIKAL100_mExportSymbol(_9016a5f37ddb62517a8161c79cfde945);
extern int _ZN9nNIORB1007tObject13___CPPKRLCastEPKS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObject13___CPPKRLCastEPKS0_PKPv);
extern int _ZN9nNIORB1007tObject13___CPPKRLCastEPS0_PKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObject13___CPPKRLCastEPS0_PKPv);
extern int _ZNK9nNIORB1007tObject20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1007tObject20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIORB1007tObject20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObject20___CPPKRLDynamicCastEPKPv);
extern int _ZN9nNIORB1007tObject14staticGetClassERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObject14staticGetClassERi);
extern int _ZN9nNIORB1007tObjectC2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectC2Ev);
extern int _ZN9nNIORB1007tObjectC1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectC1Ev);
extern int _ZN9nNIORB1007tObjectC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectC2ERKS0_);
extern int _ZN9nNIORB1007tObjectC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectC1ERKS0_);
extern int _ZN9nNIORB1007tObjectD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectD2Ev);
extern int _ZN9nNIORB1007tObjectD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectD1Ev);
extern int _ZNK9nNIORB1007tObject15getTObjectClassERi;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1007tObject15getTObjectClassERi);
extern int _ZNK9nNIORB1007tObject15setTObjectClassERKNS_6tClassERi;
nNIKAL100_mExportSymbol(_ZNK9nNIORB1007tObject15setTObjectClassERKNS_6tClassERi);
extern int _ZN9nNIORB1007tObjectaSERKS0_;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectaSERKS0_);
extern int _ZN9nNIORB1007tObjectD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObjectD0Ev);
extern int _ZN9nNIORB10013tObjectReaderC2ERNS_11iDataReaderERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReaderC2ERNS_11iDataReaderERi);
extern int _ZN9nNIORB10013tObjectReaderC1ERNS_11iDataReaderERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReaderC1ERNS_11iDataReaderERi);
/* _ZN9nNIORB10013tObjectReader23registerPreReadObserverERNS_16iPreReadObserverERi=_a154837b5005d5ec663f2637e1c52d6b */
extern int _a154837b5005d5ec663f2637e1c52d6b;
nNIKAL100_mExportSymbol(_a154837b5005d5ec663f2637e1c52d6b);
extern int _ZN9nNIORB10013tObjectReader10readStringERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader10readStringERi);
extern int _ZN9nNIORB10013tObjectReader14readWideStringERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader14readWideStringERi);
extern int _ZN9nNIORB10013tObjectReader6readI8ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader6readI8ERi);
extern int _ZN9nNIORB10013tObjectReader6readU8ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader6readU8ERi);
extern int _ZN9nNIORB10013tObjectReader7readI16ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader7readI16ERi);
extern int _ZN9nNIORB10013tObjectReader7readU16ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader7readU16ERi);
extern int _ZN9nNIORB10013tObjectReader7readI32ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader7readI32ERi);
extern int _ZN9nNIORB10013tObjectReader7readU32ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader7readU32ERi);
extern int _ZN9nNIORB10013tObjectReader7readI64ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader7readI64ERi);
extern int _ZN9nNIORB10013tObjectReader7readU64ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader7readU64ERi);
extern int _ZN9nNIORB10013tObjectReader10readObjectERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReader10readObjectERi);
extern int _ZN9nNIORB10013tObjectReaderD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReaderD1Ev);
extern int _ZN9nNIORB10013tObjectReaderD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReaderD2Ev);
extern int _ZN9nNIORB10013tObjectReaderD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectReaderD0Ev);
extern int _ZN9nNIORB10013tObjectWriterC2ERNS_11iDataWriterERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriterC2ERNS_11iDataWriterERi);
extern int _ZN9nNIORB10013tObjectWriterC1ERNS_11iDataWriterERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriterC1ERNS_11iDataWriterERi);
/* _ZN9nNIORB10013tObjectWriter24registerPreWriteObserverERNS_17iPreWriteObserverERi=_a471b08d130c9b50bb1433819ff8c159 */
extern int _a471b08d130c9b50bb1433819ff8c159;
nNIKAL100_mExportSymbol(_a471b08d130c9b50bb1433819ff8c159);
extern int _ZN9nNIORB10013tObjectWriter7writeU8EhRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter7writeU8EhRi);
extern int _ZN9nNIORB10013tObjectWriter7writeI8EcRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter7writeI8EcRi);
extern int _ZN9nNIORB10013tObjectWriter8writeU16EtRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter8writeU16EtRi);
extern int _ZN9nNIORB10013tObjectWriter8writeI16EsRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter8writeI16EsRi);
extern int _ZN9nNIORB10013tObjectWriter8writeU32EjRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter8writeU32EjRi);
extern int _ZN9nNIORB10013tObjectWriter8writeI32EiRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter8writeI32EiRi);
extern int _ZN9nNIORB10013tObjectWriter8writeU64EmRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter8writeU64EmRi);
extern int _ZN9nNIORB10013tObjectWriter8writeI64ElRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriter8writeI64ElRi);
/* _ZN9nNIORB10013tObjectWriter11writeStringERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi=_e99d282e4a16fb8c0ad910a2f4b4ff80 */
extern int _e99d282e4a16fb8c0ad910a2f4b4ff80;
nNIKAL100_mExportSymbol(_e99d282e4a16fb8c0ad910a2f4b4ff80);
/* _ZN9nNIORB10013tObjectWriter15writeWideStringERKN4_STL12basic_stringIwNS1_11char_traitsIwEENS1_9allocatorIwEEEERi=_2a8437859d40ae9210485ef225b20602 */
extern int _2a8437859d40ae9210485ef225b20602;
nNIKAL100_mExportSymbol(_2a8437859d40ae9210485ef225b20602);
/* _ZN9nNIORB10013tObjectWriter11writeObjectERKNS_15iExternalizableERi=_df46709228758a4e49405bf2fe457c58 */
extern int _df46709228758a4e49405bf2fe457c58;
nNIKAL100_mExportSymbol(_df46709228758a4e49405bf2fe457c58);
extern int _ZN9nNIORB10013tObjectWriterD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriterD1Ev);
extern int _ZN9nNIORB10013tObjectWriterD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriterD2Ev);
extern int _ZN9nNIORB10013tObjectWriterD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10013tObjectWriterD0Ev);
/* _ZN9nNIORB10017tSafeObjectReader23registerPreReadObserverERNS_16iPreReadObserverERi=_cd34c982eb9db4135486ad2958076e17 */
extern int _cd34c982eb9db4135486ad2958076e17;
nNIKAL100_mExportSymbol(_cd34c982eb9db4135486ad2958076e17);
extern int _ZN9nNIORB10017tSafeObjectReader6readI8ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader6readI8ERi);
extern int _ZN9nNIORB10017tSafeObjectReader6readU8ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader6readU8ERi);
extern int _ZN9nNIORB10017tSafeObjectReader7readI16ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader7readI16ERi);
extern int _ZN9nNIORB10017tSafeObjectReader7readU16ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader7readU16ERi);
extern int _ZN9nNIORB10017tSafeObjectReader7readI32ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader7readI32ERi);
extern int _ZN9nNIORB10017tSafeObjectReader7readU32ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader7readU32ERi);
extern int _ZN9nNIORB10017tSafeObjectReader7readI64ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader7readI64ERi);
extern int _ZN9nNIORB10017tSafeObjectReader7readU64ERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader7readU64ERi);
extern int _ZN9nNIORB10017tSafeObjectReaderC1ERNS_11iDataReaderERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReaderC1ERNS_11iDataReaderERi);
extern int _ZN9nNIORB10017tSafeObjectReaderC2ERNS_11iDataReaderERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReaderC2ERNS_11iDataReaderERi);
extern int _ZN9nNIORB10017tSafeObjectReader14readWideStringERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader14readWideStringERi);
extern int _ZN9nNIORB10017tSafeObjectReader10readStringERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader10readStringERi);
extern int _ZN9nNIORB10017tSafeObjectReaderD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReaderD0Ev);
extern int _ZN9nNIORB10017tSafeObjectReaderD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReaderD1Ev);
extern int _ZN9nNIORB10017tSafeObjectReader10readObjectERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReader10readObjectERi);
extern int _ZN9nNIORB10017tSafeObjectReaderD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectReaderD2Ev);
/* _ZN9nNIORB10017tSafeObjectWriter24registerPreWriteObserverERNS_17iPreWriteObserverERi=_347b3975c97fc0bd7968b0f65bc32bb6 */
extern int _347b3975c97fc0bd7968b0f65bc32bb6;
nNIKAL100_mExportSymbol(_347b3975c97fc0bd7968b0f65bc32bb6);
extern int _ZN9nNIORB10017tSafeObjectWriter7writeU8EhRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter7writeU8EhRi);
extern int _ZN9nNIORB10017tSafeObjectWriter7writeI8EcRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter7writeI8EcRi);
extern int _ZN9nNIORB10017tSafeObjectWriter8writeU16EtRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter8writeU16EtRi);
extern int _ZN9nNIORB10017tSafeObjectWriter8writeI16EsRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter8writeI16EsRi);
extern int _ZN9nNIORB10017tSafeObjectWriter8writeU32EjRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter8writeU32EjRi);
extern int _ZN9nNIORB10017tSafeObjectWriter8writeI32EiRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter8writeI32EiRi);
extern int _ZN9nNIORB10017tSafeObjectWriter8writeU64EmRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter8writeU64EmRi);
extern int _ZN9nNIORB10017tSafeObjectWriter8writeI64ElRi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriter8writeI64ElRi);
/* _ZN9nNIORB10017tSafeObjectWriter11writeStringERKN4_STL12basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi=_878b5092ea4f169316a1ca3fd4ac92fb */
extern int _878b5092ea4f169316a1ca3fd4ac92fb;
nNIKAL100_mExportSymbol(_878b5092ea4f169316a1ca3fd4ac92fb);
/* _ZN9nNIORB10017tSafeObjectWriter15writeWideStringERKN4_STL12basic_stringIwNS1_11char_traitsIwEENS1_9allocatorIwEEEERi=_58a847672f5c9bcd8e88370af68265a2 */
extern int _58a847672f5c9bcd8e88370af68265a2;
nNIKAL100_mExportSymbol(_58a847672f5c9bcd8e88370af68265a2);
extern int _ZN9nNIORB10017tSafeObjectWriterD0Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriterD0Ev);
extern int _ZN9nNIORB10017tSafeObjectWriterD1Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriterD1Ev);
extern int _ZN9nNIORB10017tSafeObjectWriterD2Ev;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriterD2Ev);
extern int _ZN9nNIORB10017tSafeObjectWriterC1ERNS_11iDataWriterERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriterC1ERNS_11iDataWriterERi);
/* _ZN9nNIORB10017tSafeObjectWriter11writeObjectERKNS_15iExternalizableERi=_8335b34f3a3308d47c7e55c9a0eae593 */
extern int _8335b34f3a3308d47c7e55c9a0eae593;
nNIKAL100_mExportSymbol(_8335b34f3a3308d47c7e55c9a0eae593);
extern int _ZN9nNIORB10017tSafeObjectWriterC2ERNS_11iDataWriterERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017tSafeObjectWriterC2ERNS_11iDataWriterERi);
extern int _ZN9nNIORB10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10017getCurrentVersionERi);
extern int _ZN9nNIORB10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN9nNIORB10026getOldestCompatibleVersionERi);
extern int _ZN9nNIORB10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN9nNIORB10014compareVersionERK10tSSVersionS2_RiPKc);
extern int _ZN9nNIORB10010iCloneable10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIORB10010iCloneable10___classIDE);
extern int _ZN9nNIORB10024iCloneableExternalizable10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIORB10024iCloneableExternalizable10___classIDE);
extern int _ZN9nNIORB10011iComparable10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIORB10011iComparable10___classIDE);
extern int _ZN9nNIORB10015iExternalizable10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIORB10015iExternalizable10___classIDE);
extern int _ZN9nNIORB1005tGUID10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIORB1005tGUID10___classIDE);
extern int _ZN9nNIORB1007tObject10___classIDE;
nNIKAL100_mExportSymbol(_ZN9nNIORB1007tObject10___classIDE);
extern int _ZTTN9nNIORB1005tGUIDE;
nNIKAL100_mExportSymbol(_ZTTN9nNIORB1005tGUIDE);
extern int _ZTVN9nNIORB1005tGUIDE;
nNIKAL100_mExportSymbol(_ZTVN9nNIORB1005tGUIDE);
extern int _ZTVN9nNIORB10013iObjectReaderE;
nNIKAL100_mExportSymbol(_ZTVN9nNIORB10013iObjectReaderE);
extern int _ZTVN9nNIORB10013iObjectWriterE;
nNIKAL100_mExportSymbol(_ZTVN9nNIORB10013iObjectWriterE);
extern int _ZTVN9nNIORB10010iCloneableE;
nNIKAL100_mExportSymbol(_ZTVN9nNIORB10010iCloneableE);
extern int _ZTVN9nNIORB10024iCloneableExternalizableE;
nNIKAL100_mExportSymbol(_ZTVN9nNIORB10024iCloneableExternalizableE);
extern int _ZTTN9nNIORB10024iCloneableExternalizableE;
nNIKAL100_mExportSymbol(_ZTTN9nNIORB10024iCloneableExternalizableE);
extern int _ZTVN9nNIORB10015iExternalizableE;
nNIKAL100_mExportSymbol(_ZTVN9nNIORB10015iExternalizableE);
/* _ZTv0_n24_N9nNIORB10010iCloneable20___CPPKRLDynamicCastEPKPv=_f0756d48e53bc37638f7c80abaf7b357 */
extern int _f0756d48e53bc37638f7c80abaf7b357;
nNIKAL100_mExportSymbol(_f0756d48e53bc37638f7c80abaf7b357);
/* _ZTv0_n32_NK9nNIORB10010iCloneable20___CPPKRLDynamicCastEPKPv=_c832194f55141424d28de1b17a0079c9 */
extern int _c832194f55141424d28de1b17a0079c9;
nNIKAL100_mExportSymbol(_c832194f55141424d28de1b17a0079c9);
/* _ZTv0_n24_N9nNIORB10024iCloneableExternalizable20___CPPKRLDynamicCastEPKPv=_d0f3dbde8e0d0d51fff67be4c60fb7c4 */
extern int _d0f3dbde8e0d0d51fff67be4c60fb7c4;
nNIKAL100_mExportSymbol(_d0f3dbde8e0d0d51fff67be4c60fb7c4);
/* _ZTv0_n32_N9nNIORB10024iCloneableExternalizable20___CPPKRLDynamicCastEPKPv=_fc39d156a7178f798a97ed2178600690 */
extern int _fc39d156a7178f798a97ed2178600690;
nNIKAL100_mExportSymbol(_fc39d156a7178f798a97ed2178600690);
/* _ZTv0_n32_NK9nNIORB10024iCloneableExternalizable20___CPPKRLDynamicCastEPKPv=_6f0fe046402eea3860eb48206e7021c6 */
extern int _6f0fe046402eea3860eb48206e7021c6;
nNIKAL100_mExportSymbol(_6f0fe046402eea3860eb48206e7021c6);
/* _ZTv0_n40_NK9nNIORB10024iCloneableExternalizable20___CPPKRLDynamicCastEPKPv=_62076bf98a4393abe350cdcf1eea8b03 */
extern int _62076bf98a4393abe350cdcf1eea8b03;
nNIKAL100_mExportSymbol(_62076bf98a4393abe350cdcf1eea8b03);
/* _ZTv0_n24_N9nNIORB10011iComparable20___CPPKRLDynamicCastEPKPv=_bca98bbf06d5fac528f4a34f8ae6e33d */
extern int _bca98bbf06d5fac528f4a34f8ae6e33d;
nNIKAL100_mExportSymbol(_bca98bbf06d5fac528f4a34f8ae6e33d);
/* _ZTv0_n32_NK9nNIORB10011iComparable20___CPPKRLDynamicCastEPKPv=_df2e00c67bd49c6fc91fc79305ceaec7 */
extern int _df2e00c67bd49c6fc91fc79305ceaec7;
nNIKAL100_mExportSymbol(_df2e00c67bd49c6fc91fc79305ceaec7);
/* _ZTv0_n24_N9nNIORB10015iExternalizable20___CPPKRLDynamicCastEPKPv=_d1ec3f48a8105b67793f21cff4719167 */
extern int _d1ec3f48a8105b67793f21cff4719167;
nNIKAL100_mExportSymbol(_d1ec3f48a8105b67793f21cff4719167);
/* _ZTv0_n32_NK9nNIORB10015iExternalizable20___CPPKRLDynamicCastEPKPv=_a98d9ffb88cf0bcacb808561fc94dfcc */
extern int _a98d9ffb88cf0bcacb808561fc94dfcc;
nNIKAL100_mExportSymbol(_a98d9ffb88cf0bcacb808561fc94dfcc);
extern int _ZTv0_n24_N9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZTv0_n24_N9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv);
extern int _ZTv0_n32_N9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZTv0_n32_N9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv);
extern int _ZTv0_n32_NK9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZTv0_n32_NK9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv);
extern int _ZTv0_n40_NK9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv;
nNIKAL100_mExportSymbol(_ZTv0_n40_NK9nNIORB1005tGUID20___CPPKRLDynamicCastEPKPv);
